- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.drafts/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.drafts/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.drafts/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.drafts/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.drafts/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.drafts/delete#try-it)

Immediately and permanently deletes the specified draft. Does not simply trash it. For more information, see [Create and send draft emails](https://developers.google.com/workspace/gmail/api/guides/drafts).

### HTTP request

`DELETE https://gmail.googleapis.com/gmail/v1/users/{userId}/drafts/{id}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` The user's email address. The special value `me` can be used to indicate the authenticated user. |
| `id` | `string` The ID of the draft to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://mail.google.com/`
- `
  https://www.googleapis.com/auth/gmail.modify`
- `
  https://www.googleapis.com/auth/gmail.compose`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).